[sword-devel] osis2mod warnings

Adrian Korten adrian_korten at sil.org
Tue Dec 2 03:46:51 MST 2008

On Mon, 1 Dec 2008 09:13:36 -0500
 DM Smith <dmsmith555 at yahoo.com> wrote:
> Adrian/David (and others):
> Most of these warnings are gone with with the latest build of  
> osis2mod. When you run it, it will say:
> You are running osis2mod: $Rev: 2197

Good day,

I'm not using the most recent but where can I download the latest .exe or linux binary (I don't have experience compiling).

I've used the sfm2osis set of python programs and a python program provided by UBS (paratext developers) to generate the xml. Both come up with errors although not consistently with the same verses always. Notes and quotations seem to be problem areas. The UBS version uses an older OSIS best practices version. Is that still a good idea?

I'm thinking of tweaking my own python scripts to move from gbf to basic OSIS. But that could be almost as much work as correcting the OSIS from the two previous programs. So I don't like the two alternatives but don't see another option except perhaps perhaps ThML.


More information about the sword-devel mailing list